import babel from '@rollup/plugin-babel';
import external from 'rollup-plugin-peer-deps-external';
import del from 'rollup-plugin-delete';
import image from '@rollup/plugin-image';
import { nodeResolve } from '@rollup/plugin-node-resolve';
import commonjs from "@rollup/plugin-commonjs"
import { terser } from 'rollup-plugin-terser'
import pkg from './package.json';

export default {
    input: pkg.source,
    output: [
        { file: pkg.main, format: 'cjs' },
        { file: pkg.module, format: 'esm' }
    ],
    plugins: [
        nodeResolve(),
        image(),
        external(),
        babel({
            babelrc: true,
            exclude: 'node_modules/**'
        }),
        commonjs({ include: /node_modules/ }),
        del({ targets: ['dist/*'] }),
        terser(),
    ],
    external: Object.keys(pkg.peerDependencies || {}),
};