import React from "react";
import styled from "styled-components";
// import { Link } from "react-router-dom";
import { useMenuContext } from "../../state";
import { useTheme } from "../../hooks";
import Icon from "../Icon";
import media, { setBreakPoints } from 'css-in-js-media';

export const links = ["Products", "Solutions", "Marketplace", "Community", "Pricing"];

const DesktopNavLinks = () => {
  const { closeMenu } = useMenuContext();
  // const [theme, toggleTheme] = useTheme();

  return (
    <NavLinksWrapper className="nav-links">
      {links.map((link) => (
        <li key={link}>
          <NavLink href={`/${link}`} className="link" onClick={closeMenu}>
            {link}
          </NavLink>
        </li>
      ))}
      <li>
        {/* <button onClick={toggleTheme}>
          <Icon name={theme === "dark" ? "day" : "night"} />
        </button> */}
      </li>
    </NavLinksWrapper>
  );
};

export default DesktopNavLinks;

const NavLinksWrapper = styled.ul`
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;

  li:not(:last-child) {
    margin-right: 26px;
  }

  li:last-child {
    margin-left: auto;
  }

  button {
    background: transparent;
    outline: none;
    border: none;
    cursor: pointer;
  }

  @media screen and (max-width: 768px) {
    flex-direction: column;
    li {
      padding: 12px;
      margin: 0 !important;
    }
  }
`;

export const NavLink = styled('a')`
  color: hsl(221, 93%, 16%);
  background-color: transparent !important;
  font-family: 'Inter-Medium' !important;
  font-size: 14px !important;
  padding: 20px 12px;

  ${media('<desktop')} {
    font-size: 18px !important;
    margin-bottom: 10px;
    margin-left: 15px;
    margin-right: 15px;
    padding: 5px 0 15px 0;
  }
`;
