/* eslint-disable camelcase */
import React from 'react';
import { useMediaQuery } from 'react-responsive'

import rightArrow from '../../../../../assets/images/chevron-right-blue.svg';
import dropdown from '../../../../../assets/images/dropdown.svg'

import {
  DropdownButton,
  DropdownNavLink
} from '../../PrimaryNavLinksStyles';

import {
  MegaMenuDropdown,
  SolutionsMegaMenuContainer,
  MegaMenuHr,
  MegaMenuAllLink,
  MegaMenuAllLinkA,
  MegaMenuArrow,
  MegaMenuColumns,
  NavTitle,
} from '../MegaMenuStyles';

import LargeIconLinks from '../atoms/LargeIconLinks';
// import { LazyLink, LazyImage } from '../../../../../slices/atoms/index';
import { HandleKeydown } from '../atoms';

const SolutionsMegaMenu = (item, navigation, currentPath, openCurrentMegaMenu, closeMegaMenu, isMegaMenuOpen, currentMegaMenu) => {
  const { primary_navigation_text } = item;
  const { solutions_mega_menu, solutions_bottom_link, solutions_bottom_link_text } = navigation;

  const isMobile = useMediaQuery({ maxWidth: 1023 })

  return (
    <>
    <DropdownButton onClick={() => {
      if(isMegaMenuOpen && currentMegaMenu === 'solutions') closeMegaMenu()
      openCurrentMegaMenu('solutions')}} className="nav-item" key={primary_navigation_text}>
      <DropdownNavLink
        role="button"
        tabIndex="0"
        aria-pressed="false"
        onKeyDown={e => {
          HandleKeydown(e);
        }}
        className={`${currentPath === 'solutions' && 'active'}`}
      >
        {primary_navigation_text}
      </DropdownNavLink>
      {!isMobile && <img className="dropdown" src={dropdown} /> }
    </DropdownButton>

    { (isMegaMenuOpen && currentMegaMenu === 'solutions' && !isMobile) &&
      <MegaMenuDropdown id="solutionsMegaDropdown">
      <MegaMenuColumns  padding="24px 24px 48px 24px" flexDirection="column">
      <NavTitle className='solutions-title'>Our Solutions</NavTitle>
        <SolutionsMegaMenuContainer size={12}>
          {LargeIconLinks(solutions_mega_menu)}
        </SolutionsMegaMenuContainer>
      </MegaMenuColumns>

      <MegaMenuHr />

      <MegaMenuAllLink>
        <div className="level is-mobile">
          <MegaMenuAllLinkA renderAs={'a'} href={solutions_bottom_link && solutions_bottom_link.url} url={solutions_bottom_link && solutions_bottom_link.url}>
            {solutions_bottom_link_text} {<MegaMenuArrow src={rightArrow} alt="arrow" />}
          </MegaMenuAllLinkA>
        </div>
      </MegaMenuAllLink>
    </MegaMenuDropdown>
    }

    { (isMobile) &&
      <MegaMenuDropdown id="solutionsMegaDropdown">
      <MegaMenuColumns  padding="24px 24px 48px 24px" flexDirection="column">
      <NavTitle className='solutions-title'>Our Solutions</NavTitle>
        <SolutionsMegaMenuContainer size={12}>
          {LargeIconLinks(solutions_mega_menu)}
        </SolutionsMegaMenuContainer>
      </MegaMenuColumns>

      <MegaMenuHr />

      <MegaMenuAllLink>
        <div className="level is-mobile">
          <MegaMenuAllLinkA renderAs="a" href={solutions_bottom_link && solutions_bottom_link.url} url={solutions_bottom_link && solutions_bottom_link.url}>
            {solutions_bottom_link_text} {<MegaMenuArrow src={rightArrow} alt="arrow" />}
          </MegaMenuAllLinkA>
        </div>
      </MegaMenuAllLink>
    </MegaMenuDropdown>
    }
</>
  );
};

export default SolutionsMegaMenu;
