/* eslint-disable camelcase */
import React from 'react';
import PropTypes from 'prop-types';

import { MegaMenuArticleContainer, MegaMenuArticleImg, MegaMenuArticleText } from '../MegaMenuStyles';

const ArticleLinks = data =>
  // Mapping through the Community Mega Menu data
  data.map(item => (
    <MegaMenuArticleContainer
      url={item.featured_articles_link && item.featured_articles_link.url}
      href={item.featured_articles_link && item.featured_articles_link.url}
      key={item.featured_articles_text}
      renderAs={'a'}
    >
      <MegaMenuArticleImg
        src={item.featured_articles_image.url}
        alt={item.featured_articles_image.alt || item.featured_articles_text || 'Article image'}
      />
      <MegaMenuArticleText> {item.featured_articles_text}</MegaMenuArticleText>
    </MegaMenuArticleContainer>
  ))

export default ArticleLinks;

ArticleLinks.propTypes = {
  data: PropTypes.node.isRequired,
};
