/* eslint-disable camelcase */
import React from 'react';
import PropTypes from 'prop-types';
import chevron from "../../../../../assets/images/chevron-icon.svg"

// import Navbar from 'react-bulma-components/lib/components/navbar';
// import Navbar from '../../../../molecules/index';
// import BulmaHeading from 'react-bulma-components/lib/components/heading';
import {
  LargeIconLink,
  LargeIconTitle,
  LargeIconSubtitle,
  MegaMenuLargeIconLinkContainer,
} from '../MegaMenuStyles';
// import { LazyLink, LazyImage } from '../../../../../slices/atoms';

const LargeIconLinks = data =>
  // Mapping through the Featured Product Mega Menu data or the Community Mega Menu data
  data.map(item => {
    return (
      <MegaMenuLargeIconLinkContainer
        url={
          (item.solutions_link && item.solutions_link.url) ||
          (item.featured_product_link && item.featured_product_link.url) ||
          (item.community_link && item.community_link.url)
        }
        key={item.featured_product_title || item.community_title}
      >
        <LargeIconLink href={(item.solutions_link && item.solutions_link.url) ||
          (item.featured_product_link && item.featured_product_link.url) ||
          (item.community_link && item.community_link.url)} renderAs="a" className="content">
          <div>
            <LargeIconTitle>
              {item.solutions_title || item.featured_product_title || item.community_title}
            </LargeIconTitle>
            <LargeIconSubtitle>
              {item.solutions_subtitle || item.featured_product_subtitle || item.community_subtitle}
            </LargeIconSubtitle>
          </div>
          <img className="chevron" src={chevron} />
        </LargeIconLink>
      </MegaMenuLargeIconLinkContainer>
    );
  });

export default LargeIconLinks;

LargeIconLinks.propTypes = {
  data: PropTypes.node.isRequired,
};
