/* eslint-disable camelcase */
import React from 'react';
import PropTypes from 'prop-types';

import {
  NavTitle,
  SmallIconContainer,
  SmallIconHeadlineContainer,
  SmallIconLink,
  MegaMenuColumn,
} from '../MegaMenuStyles';

const SmallIconHeaderLinks = data =>
  data.map(item => (
    <MegaMenuColumn size="24%" key={item.secondary_title}>
      <SmallIconContainer>
        <SmallIconHeadlineContainer >
          <NavTitle className="title is-6 is-mega-menu-title">
            {item.secondary_title}
          </NavTitle>
        </SmallIconHeadlineContainer>
        {item.secondary_link_1 ? (
          <SmallIconLink
            renderAs="a"
            className="nav-item "
            href={item.secondary_link_1.url}
            url={item.secondary_link_1.url}
            key={item.secondary_text_1}
          >
            {item.secondary_text_1}
          </SmallIconLink>
        ) : null}
        {item.secondary_link_2 ? (
          <SmallIconLink
            renderAs="a"
            className="nav-item "
            href={item.secondary_link_2.url}
            url={item.secondary_link_2.url}
            key={item.secondary_text_2}
          >
            {item.secondary_text_2}
          </SmallIconLink>
        ) : null}
        {item.secondary_link_3 ? (
          <SmallIconLink
          renderAs="a"
            className="nav-item "
            href={item.secondary_link_3.url}
            url={item.secondary_link_3.url}
            key={item.secondary_text_3}
          >
            {item.secondary_text_3}
          </SmallIconLink>
        ) : null}
        {item.secondary_link_4 ? (
          <SmallIconLink
          renderAs="a"
            className="nav-item "
            href={item.secondary_link_4.url}
            url={item.secondary_link_4.url}
            key={item.secondary_text_4}
          >
            {item.secondary_text_4}
          </SmallIconLink>
        ) : null}
        {item.secondary_link_5 ? (
          <SmallIconLink
            renderAs="a"
            className="nav-item "
            href={item.secondary_link_5.url}
            url={item.secondary_link_5.url}
            key={item.secondary_text_5}
          >
            {item.secondary_text_5}
          </SmallIconLink>
        ) : null}
        {item.secondary_link_6 ? (
          <SmallIconLink
          renderAs="a"
            className="nav-item "
            href={item.secondary_link_6.url}
            url={item.secondary_link_6.url}
            key={item.secondary_text_6}
          >
            {item.secondary_text_6}
          </SmallIconLink>
        ) : null}
      </SmallIconContainer>
    </MegaMenuColumn>
  ));

export default SmallIconHeaderLinks;

SmallIconHeaderLinks.propTypes = {
  data: PropTypes.node.isRequired,
};
