// Styles here will override Bulma styles
import styled, { css } from "styled-components";
import media from 'css-in-js-media';

export const StyledButtonLink = styled.a`
  border: 1px solid #0069FF;
  box-sizing: border-box;
  border-radius: 100px;
  font-family: 'Inter-Bold';
  height: 18px !important;
  border-radius: 100px;
  width: 90px;

  ${media('<desktop')} {
    padding: 22px 20px 20px 20px;
    margin: 20px 5vw;
    border-radius: 0px;
    width: 400px;
  }

  :hover {
    color: hsl(0, 0%, 100%) !important;
  }

  transition: background-color 0.25s linear, border-color 0.25s linear, color 0.25s linear;

  font-size: 1em;
  padding: 14px 24px 14px 24px;

  /* Blue button - primary blue is set in _variables stylesheet */
  &.is-primary {
    background: #0069ff;
    transition: all 0.3s ease;

    color: white;

    :hover {
      color: #fff !important;
      background-color: #1633ff !important;
      transition: all 0.3s ease;
    }

    &.is-outlined {
      border: 1px solid #0069ff;
      color: #0069ff;

      :hover {
        color: #0069ff !important;
        border-color: #0069ff;
        background-color: #f2f8ff !important;
      }
    }
  }
  /* White button */
  &.is-white {
    color: #0069ff !important;
    transition: all 0.3s ease;

    :hover {
      color: #0069ff;
      background: #1633ff !important
      transition: all 0.3s ease;
    }

    /* White outlined button */
    &.is-outlined {
      color: #fff !important;

      :hover {
        color: #fff !important;
        border: 1px solid #fff;
      }
    }
  }

  /* general outlined button styles */
  &.is-outlined {
    background: transparent;
    transition: all 0.3s ease;

    :hover {
      background-color: rgba(255, 255, 255, 0.1) !important;
      transition: all 0.3s ease;
    }
  }
`;
