import React from 'react';
import PropTypes from 'prop-types';

import { StyledButtonLink } from './ButtonLinkStyles';

const ButtonLink = ({ href, linkTo, children, className }) => (
  <StyledButtonLink href={href} className={className} url={linkTo}>
    {children}
  </StyledButtonLink>
);

export default ButtonLink;

ButtonLink.propTypes = {
  linkTo: PropTypes.string.isRequired,
  className: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
};
