/* eslint-disable camelcase */
import React from 'react';

// import BulmaButton from 'react-bulma-components/lib/components/button';
import { SecondaryNavLink, SecondaryNavLinkContainer } from './SecondaryNavStyles';

import ButtonLink from './ButtonLink/index';

// import { createRandomId } from '../../../util/createRandomId';

const onButtonClick = event => {
  if (window && window.optimizely && event.currentTarget.dataset.name === 'Sign Up') {
    window.optimizely.push({
      type: 'event',
      eventName: 'clicked_signup_cta',
      tags: {
        action: 'click',
        category: 'top_nav',
        name: 'signup',
      },
    });

    window.analytics.track('Web Interaction', {
      action: 'click',
      category: 'top_nav',
      name: 'signup',
    });
  }
};

const SecondaryNavLinks = navigation => {
  const { primary_navigation_end_links } = navigation;

  return (
  <SecondaryNavLinkContainer>
  {primary_navigation_end_links.map((item, i) => (
    <SecondaryNavLink
      renderAs={ButtonLink}
      href={item.primary_navigation_end_link && item.primary_navigation_end_link.url}
      linkTo={item.primary_navigation_end_link && item.primary_navigation_end_link.url}
      className={i === 0 ? 'is-white outlined' : 'is-primary outlined'}
      outlined={primary_navigation_end_links.length !== i + 1}
      key={item.primary_navigation_end_link_text}
    >
      <span
        data-name={item.primary_navigation_end_link_text}
        onClick={onButtonClick}
        onKeyDown={onButtonClick}
        role="button"
        // tabIndex={createRandomId()}
      >
        {item.primary_navigation_end_link_text}
      </span>
    </SecondaryNavLink>
  ))}
  </SecondaryNavLinkContainer>
  )
}

export default SecondaryNavLinks;
