import React from "react";
import DesktopNav from "./DesktopNav";
import styled, { createGlobalStyle } from "styled-components";

const Nav = styled.div`
  display: flex;
  flex-flow: column nowrap;
`;

const GlobalStyle = createGlobalStyle`

  @font-face {
    font-family: 'Inter-Light';
    src: url('../../../src/assets/fonts/Inter-Light.woff') format('woff'),
      url('../../../src/assets/fonts/Inter-Light.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
  }

  @font-face {
    font-family: 'Inter-Regular';
    src: url('../../../src/assets/fonts/Inter-Regular.woff') format('woff'),
      url('../../../src/assets/fonts/Inter-Regular.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
  }

  @font-face {
    font-family: 'Inter-Medium';
    src: url('../../../src/assets/Inter-Medium.woff') format('woff'),
      url('../../../src/assets/Inter-Medium.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
  }

  @font-face {
    font-family: 'Inter-Bold';
    src: url('../../../src/assets/Inter-Bold.woff') format('woff'),
      url('../../../src/assets/Inter-Bold.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
  }

  html {
    box-sizing: border-box;
  }

  body {
    font-family: "Inter", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #fff;
    color: var(--text);
  }

  * {
    margin: 0;
    padding: 0;
  }

  *,
  *::before,
  *::after {
    box-sizing: inherit;
  }

  a {
    text-decoration: none;
  }
`;

const Navbar = ({ data, location }) => {
    console.log(data);
  return (
    <Nav>
      <GlobalStyle />
      <DesktopNav data={data} location={location}/>
    </Nav>
  );
};

export default Navbar;